function p.get_is_solid()
    return true
end

function p.get_tex()
    return "block_bathroom2"
end

function p.main()
    set_default_block("r_bathroom2")
    
    std.create_tube(3, "y", "e")
    std.create_center(5,"e")
    
    local msg_str = "^x00ff00You can add your own "
        .. "textures to the game by adding lines "
        .. "to the texture_names.txt file in this package^! "
        .. "(and you must also add the image file itself "
        .. "to the Textures directory that contains "
        .. "that texture_names.txt file). "
        .. "^xff0000All image files with alpha "
        .. "must be .tga or .png files, "
        .. "and files without alpha "
        .. "must be .jpg or .png files.^!\n\n"
        .. "Since this package depends on the base package, "
        .. "you can use all textures defined there. "
        .. "For example, go to "
        .. "Data/Packages/base/Textures/texture_names.txt "
        .. "and find the texture \"block_default\" "
        .. "to make sure it is there. "
        .. "Now go to the file "
        .. "WorldNodes/Nodes/test_image_block.lua "
        .. "in this package and change the get_tex function "
        .. "so that it returns block_default. "
        .. "Restart the program and look at the block below. "
    add_bent_s(7,7,8,"bent_base_txt",msg_str)

    set_pos(7,7,6,"test_image_block")
end
